Bug 129005 - Infobar does not indicate that it has focus
Summary: Infobar does not indicate that it has focus
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium trivial
Assignee: Jim Raykowski
URL:
Whiteboard: target:6.5.0 target:6.4.0.1
Keywords: accessibility
Depends on:
Blocks: Infobar-UX
  Show dependency treegraph
 
Reported: 2019-11-25 06:17 UTC by Jim Raykowski
Modified: 2019-12-16 06:11 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2019-11-25 06:17:06 UTC
There is no indication when infobar has focus or any highlighting of push button or close button on mouse over.

To repro:

Start Writer so the Infobar is displayed.
To do this the following steps work for me:
  i) soffice.bin --safe-mode
  ii) select Reset to factory settings radio button and check the two check boxes that become available; Reset settings and user interface modifications and Reset entire user profile and Apply Changes and Restart.
  iii) close and do soffice.bin --safe-mode again
  iv) select Continue in safe mode
When Writer starts the Infobar should be visible and show a message like "You are running version x.x of LibreOffice for the first time. Do you want to learn what's new? followed by a Release Notes button and an X close button.

Beginning with cursor showing in the document window press F6 until focus is lost in the infobar. This requires three presses of F6 if standard toolbar and formatting toolbar are open.

Result: No indication of keyboard focus being in the Infobar

Expected result: Indication of keyboard focus and ability to keyboard navigate and select buttons in the Infobar
Comment 1 Xisco Faulí 2019-11-25 16:21:53 UTC
Reproduced in

Version: 6.5.0.0.alpha0+
Build ID: d6e2d624a124454fa4ac80cb30a924571a609101
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Samuel, I thought you might be interested in this issue
Comment 2 Jim Raykowski 2019-11-26 02:20:17 UTC
This is one of four bugs I came across while investigating bug 105518. A fix for this is needed before bug 129028 fix can be done.

Here is a patch for review and comments:

https://gerrit.libreoffice.org/#/c/83639/
Comment 3 Commit Notification 2019-12-11 09:11:03 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ac11dd8365c9e9de67717d18b7983af1eca17eaf

tdf#129005 Make Infobar push buttons keyboard accessible

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-12-16 06:11:10 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/b26de926aad67b266509e75829061417d7320ec7

tdf#129005 Make Infobar push buttons keyboard accessible

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.